Buying The F-200.....need Help From A User


cranker

Still Fresh
Joined
Oct 8, 2008
Messages
78
So, I am buying the f-200 used...any questions I can ask to know if it's a new one or the old one ? and do they both run the same emulators ? thx


This is info about the system from the seller: I don't know about the screen version but if it helps, this unit was purchased 5/14/2008. Also, on boot up, the system displays a firmware version of v4.0.2.

Is this good or bad ???????????


I heard somewhere that there is a problem with firmware 4.0.2. and it need to be downgraded to 4.0 ???

HELP !!!!!!!!!! don't want to buy the wrong one but it seems like this is the new once from date of purchase and firmware and it should have the newer screen..........any advice ? I would think the newer firmware would be improved if anything.
 

hardyx

Member
Joined
Jun 9, 2008
Messages
272
Website
Visit site
I think that is a F200 "Mk2" version, with the date and the version of the firmware. The firm 4.0.2 was created for the new display. If has this version you can't downgrade installing 4.0, because the old bootloader freezes with the new display. But you can upgrade to the last 4.1.0 that works good, and fix problems with touchpad. I think all apps works with the last version.
 

Manjuu

100% マンジュウ
Joined
Jan 1, 2008
Messages
718
Did you read the post I made in your other thread about this?

It's the "new" F-200. At that default firmware, some emulators like MAME and RACE! won't work; they'll just result in a black screen. To solution is to update the firmware to FW 4.1.x. Do NOT downgrade to FW 4.0.0; that will just brick the unit.
 

cranker

Still Fresh
Joined
Oct 8, 2008
Messages
78
Thanks for the info :) Sorry to post in in 2 places but I have to decide now if I want it or not and I will buy it. I assume the touch screen is not affected by updating to FW to version.....do I use 4.1.0 or 4.1.1 ?
 

Manjuu

100% マンジュウ
Joined
Jan 1, 2008
Messages
718
cranker said:
Thanks for the info :) Sorry to post in in 2 places but I have to decide now if I want it or not and I will buy it. I assume the touch screen is not affected by updating to FW to version.....do I use 4.1.0 or 4.1.1 ?
I'm not quite sure though... as I said, I only have the "old" F-200, and I only tried FW 4.1.1.

Firstly, if your F-200 is the "old" one, then I think it's best to stick with FW 4.0.0, but if it's the "new" one (with FW 4.0.2), then updating to a higher version will be necessary to make some of the emulators and apps work.

As for the difference between FW 4.1.0 and 4.1.1, I don't really know; there is hardly any info on the changes between these versions. <_<

For the touchscreen, either FW 4.1.0 or 4.1.1 (as well as FW 4.0.2) will have problems with the homebrew touchscreen games, but notaz has a fix for this, so it isn't that big of an issue anymore.

However, the autorun function is broken in FW 4.1.1, but I'm not sure about FW 4.1.0. So you could try FW 4.1.0 first and check*. If it's working, then stick with that, since the autorun function is very useful (and using Gmenu2X would become a pain otherwise).

*The problem with the autorun is that, it only executes when turning on the F-200. It no longer re-executes whenever programs exit back to the gp2xmenu (default frontend). This limits its usefulness, and programs such as Gmenu2X (alternative frontend) would become harder to use, as it would then require manually relaunching them each time, instead of automatically with the autorun. :(

(Hopefully, when the Open2X FW gets released, all these issues would get resolved. :rolleyes: )
 
Last edited by a moderator:

cranker

Still Fresh
Joined
Oct 8, 2008
Messages
78
So as I understand, I need to upgrade from 4.0.2 to 4.1.0 and apply the fix for the touchscreen (for homebrew games) . But , can I get both the main menu AND homebrew touch support working at the same time ? I don't really want to disable the official menu from touchscreen capabilities.


Homebrew Touchscreen Fix

This is a hack by notaz to fix the broken touchscreen with homebrew games from FW 4.0.2 and later.

This package includes an installer and uninstaller.

As a drawback, it disables touchscreen support in the official menu


S0 If I upgrade to 4.1.0 can I apply this fix and get the touchscreen to work in the main menu AND with homebrew games ?? thx fo any info :)


Since MAME does not work with 4.0.2 then for sure i want to upgrade to 4.1.0 but not positive if I should apply notaz fix or not...would love touch support for homebrew but in the main menu as well.

Anyone else have any info as far as the AUTORUN function goes, this is not a function I want to lose..............will it work with 4.1.0 ? (seems like I have no choice to upgrade anyway)
 

Manjuu

100% マンジュウ
Joined
Jan 1, 2008
Messages
718
cranker said:
So as I understand, I need to upgrade from 4.0.2 to 4.1.0 and apply the fix for the touchscreen (for homebrew games) . But , can I get both the main menu AND homebrew touch support working at the same time ? I don't really want to disable the official menu from touchscreen capabilities.

[...]

S0 If I upgrade to 4.1.0 can I apply this fix and get the touchscreen to work in the main menu AND with homebrew games ?? thx fo any info :)
Since MAME does not work with 4.0.2 then for sure i want to upgrade to 4.1.0 but not positive if I should apply notaz fix or not...would love touch support for homebrew but in the main menu as well.

Anyone else have any info as far as the AUTORUN function goes, this is not a function I want to lose..............will it work with 4.1.0 ? (seems like I have no choice to upgrade anyway)


Don't worry, the touchscreen fix is not permanent. You can easily enable or disable it, and when you turn off the GP2X, it would be removed. B)

Since you are pretty much forced to update to FW 4.1.x, just check it out yourself, if FW 4.1.0's autorun is broken or not.
 
Last edited by a moderator:
Top